
# Interface: IRestorableWidget

Provides methods for saving and restoring widget data.

## Hierarchy

* **IRestorableWidget**

## Implemented by

* [AuPIMDesignSelector](../classes/aupimdesignselector.md)
* [AuWidgetAjax](../classes/auwidgetajax.md)
* [AuWidgetAssetStorageAjax](../classes/auwidgetassetstorageajax.md)
* [AuWidgetCanvas](../classes/auwidgetcanvas.md)
* [AuWidgetCheckbox](../classes/auwidgetcheckbox.md)
* [AuWidgetColorPicker](../classes/auwidgetcolorpicker.md)
* [AuWidgetColorSelector](../classes/auwidgetcolorselector.md)
* [AuWidgetDataSheet](../classes/auwidgetdatasheet.md)
* [AuWidgetDesignEditor](../classes/auwidgetdesigneditor.md)
* [AuWidgetGallery](../classes/auwidgetgallery.md)
* [AuWidgetHtml](../classes/auwidgethtml.md)
* [AuWidgetImageCarousel](../classes/auwidgetimagecarousel.md)
* [AuWidgetInputText](../classes/auwidgetinputtext.md)
* [AuWidgetOption](../classes/auwidgetoption.md)
* [AuWidgetPreflight](../classes/auwidgetpreflight.md)
* [AuWidgetPreviewMockupSlider](../classes/auwidgetpreviewmockupslider.md)
* [AuWidgetProductInformationAJAX](../classes/auwidgetproductinformationajax.md)
* [AuWidgetStaticText](../classes/auwidgetstatictext.md)
* [AuWidgetVariantSelector](../classes/auwidgetvariantselector.md)

## Index

### Methods

* [exportWidgetData](irestorablewidget.md#exportwidgetdata)
* [restoreWidgetFromData](irestorablewidget.md#restorewidgetfromdata)

## Methods

###  exportWidgetData

▸ **exportWidgetData**(`force`: boolean): *Promise‹any›*

**Parameters:**

Name | Type |
------ | ------ |
`force` | boolean |

**Returns:** *Promise‹any›*

___

###  restoreWidgetFromData

▸ **restoreWidgetFromData**(`data`: any, `force`: boolean): *Promise‹void›*

**Parameters:**

Name | Type |
------ | ------ |
`data` | any |
`force` | boolean |

**Returns:** *Promise‹void›*
